Page MenuHomeFreeBSD

biology/ncbi-entrez-direct: fix build on riscv64
ClosedPublic

Authored by fuz on Mar 9 2023, 1:20 AM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Mar 22, 3:12 PM
Unknown Object (File)
Fri, Mar 22, 3:12 PM
Unknown Object (File)
Fri, Mar 22, 3:12 PM
Unknown Object (File)
Mar 9 2024, 10:30 AM
Unknown Object (File)
Feb 7 2024, 7:18 PM
Unknown Object (File)
Jan 12 2024, 1:49 AM
Unknown Object (File)
Dec 21 2023, 1:20 AM
Unknown Object (File)
Dec 20 2023, 6:49 AM
Subscribers

Details

Summary
biology/ncbi-entrez-direct: fix build on riscv64

Bump golang.org/x/sys dependency to a version new
enough to build on riscv64-freebsd.

Sponsored by:	Berliner Linux User Group e.V.
Approved by:	portmgr (build fix blanket)

Posted for maintainer feedback.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

fuz requested review of this revision.Mar 9 2023, 1:20 AM
This revision was not accepted when it landed; it landed in state Needs Review.Mar 11 2023, 8:39 AM
This revision was automatically updated to reflect the committed changes.

Did someone do run testing on these updates before committing?

Seems a bit of a stretch to use the build fix blanket to change dependency versions for a port was not broken on amd64, in order to add support for a platform on which nobody is likely to be doing bioinformatics work.

I just did some basic testing and it appears that no harm was done in this case, but I think we should not risk regressions out of impatience. I did indicate that I was aware of the review and was testing it myself.

Hi @jwb, I did a Poudriere build test on i386, amd64, armv7, armv64, and riscv64 FreeBSD 13.1 (and some also 12.4). The tests completed successfully. The golang.org/x/sys package wraps system calls. Updating it is very unlikely to change anything about the code. Thank you for performing additional tests.